Loading...
Searching...
No Matches
DRTBeamLimitingDeviceLeafPairsSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTBeamLimitingDeviceLeafPairsSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getNumberOfLeafJawPairs (OFString &value, const signed long pos=0) const
| get NumberOfLeafJawPairs (300a,00bc)
OFCondition | getNumberOfLeafJawPairs (Sint32 &value, const unsigned long pos=0) const
| get NumberOfLeafJawPairs (300a,00bc)
OFCondition | getRTBeamLimitingDeviceType (OFString &value, const signed long pos=0) const
| get RTBeamLimitingDeviceType (300a,00b8)
OFCondition | setNumberOfLeafJawPairs (const OFString &value, const OFBool check=OFTrue)
| set NumberOfLeafJawPairs (300a,00bc)
OFCondition | setRTBeamLimitingDeviceType (const OFString &value, const OFBool check=OFTrue)
| set RTBeamLimitingDeviceType (300a,00b8)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmIntegerString | NumberOfLeafJawPairs
| NumberOfLeafJawPairs (300a,00bc) vr=IS, vm=1, type=1.
DcmCodeString | RTBeamLimitingDeviceType
| RTBeamLimitingDeviceType (300a,00b8) vr=CS, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTBeamLimitingDeviceLeafPairsSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTBeamLimitingDeviceLeafPairsSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getNumberOfLeafJawPairs() [1/2]

OFCondition DRTBeamLimitingDeviceLeafPairsSequence::Item::getNumberOfLeafJawPairs | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfLeafJawPairs (300a,00bc)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfLeafJawPairs() [2/2]

OFCondition DRTBeamLimitingDeviceLeafPairsSequence::Item::getNumberOfLeafJawPairs | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfLeafJawPairs (300a,00bc)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRTBeamLimitingDeviceType()

OFCondition DRTBeamLimitingDeviceLeafPairsSequence::Item::getRTBeamLimitingDeviceType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RTBeamLimitingDeviceType (300a,00b8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTBeamLimitingDeviceLeafPairsSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTBeamLimitingDeviceLeafPairsSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTBeamLimitingDeviceLeafPairsSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTBeamLimitingDeviceLeafPairsSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfLeafJawPairs()

OFCondition DRTBeamLimitingDeviceLeafPairsSequence::Item::setNumberOfLeafJawPairs | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfLeafJawPairs (300a,00bc)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setRTBeamLimitingDeviceType()

OFCondition DRTBeamLimitingDeviceLeafPairsSequence::Item::setRTBeamLimitingDeviceType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RTBeamLimitingDeviceType (300a,00b8)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTBeamLimitingDeviceLeafPairsSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtbldls.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0